# all files / ol/format/filter/ not.js

71.43% Statements 5/7
100% Branches 0/0
0% Functions 0/1
71.43% Lines 5/7

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    271×

    1×
    1×

    1×

    1×
     goog.provide('ol.format.filter.Not');

    goog.require('ol');
    goog.require('ol.format.filter.Filter');

    /**
     * @classdesc
     * Represents a logical `<Not>` operator for a filter condition.
     *
     * @constructor
     * @param {!ol.format.filter.Filter} condition Filter condition.
     * @extends {ol.format.filter.Filter}
     * @api
     */
    ol.format.filter.Not = function(condition) {

      ol.format.filter.Filter.call(this, 'Not');

      /**
       * @public
       * @type {!ol.format.filter.Filter}
       */
      this.condition = condition;
    };
    ol.inherits(ol.format.filter.Not, ol.format.filter.Filter);